Program Pack2;

Var
  a: packed array [ 1..42 ] of Boolean;
  (*$W-*)
  ai: Integer absolute a;
  (*$W+*)
  i: Integer;

begin
  ai:= 0;
  a [ 1 ]:= true;
  a [ 2 ]:= true;
  a [ 3 ]:= true;
  for i:= 1 to 42 do
    if not a [ i ] then
      a [ i ]:= true;
  if ( SizeOf ( a ) = 6 ) and ( ai = -1 ) then
    writeln ( 'OK' )
  else
    writeln ( 'failed' );
end.
